import { defineStore } from 'pinia'
import { queryHour, createHour, updateHour, deleteHour } from '@/api/hour'
import { reactive } from 'vue'

export const hourOperate = defineStore('time', () => {
  // 定义数据
  const timeList = reactive([])
  // 定义修改数据的方法
  const getTimeList = (code) => {
    queryHour(code).then(res => {
      if (res.code === 0) {
        timeList.length = 0
        timeList.push(...res.data)
        console.log(timeList)
      }
    })
  }
  const postTime = (data) => {
    createHour(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  const putTime = (data) => {
    updateHour(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  const delTime = (data) => {
    deleteHour(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  return {
    timeList,
    getTimeList,
    postTime,
    putTime,
    delTime
  }
})
