import { defineStore } from 'pinia'
import { queryReimburse, createReimburse, updateReimburse, deleteReimburse } from '@/api/reimbursement'
import { reactive } from 'vue'

export const reimburseOperate = defineStore('account', () => {
  // 定义数据
  const reimburseList = reactive([])
  // 定义修改数据的方法
  const getReimburseList = (code) => {
    queryReimburse(code).then(res => {
      if (res.code === 0) {
        reimburseList.length = 0
        reimburseList.push(...res.data)
        console.log(reimburseList)
      }
    })
  }
  const postReimburse = (data) => {
    createReimburse(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  const putReimburse = (data) => {
    updateReimburse(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  const delReimburse = (data) => {
    deleteReimburse(data).then(res => {
      if (res.code === 0) {
        console.log(res.data)
      }
    })
  }
  return {
    reimburseList,
    getReimburseList,
    postReimburse,
    putReimburse,
    delReimburse
  }
})
